# Class AnyToolChoice

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the any tool choice mode.

    public class AnyToolChoice : ToolChoice

Inheritance
  object
  ToolChoice
  AnyToolChoice

Inherited Members
  ToolChoice.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### AnyToolChoice()

Initializes a new instance of the AnyToolChoice class.

    public AnyToolChoice()